#!/bin/bash
NAME="emf"
VERSION=2.4.1
TAG="R200808251517"

echo "Exporting from CVS..."
mkdir $NAME-$VERSION
pushd $NAME-$VERSION >/dev/null

MAPFILE=$NAME.map
TEMPMAPFILE=temp.map
wget "http://download.eclipse.org/modeling/$NAME/$NAME/downloads/drops/$VERSION/$TAG/directory.txt" -O $MAPFILE
grep ^[a-z] $MAPFILE > $TEMPMAPFILE

gawk 'BEGIN {
	FS=","
}
{
if (NF <  4) {

	split($1, version, "=");
	split(version[1], directory, "@");
	cvsdir=split($2, dirName, ":");
	printf("%s %s %s%s %s %s %s %s %s %s %s\n", "cvs", "-d", ":pserver:anonymous@dev.eclipse.org:", dirName[cvsdir], "-q", "export", "-r", version[2], "-d", directory[2], directory[2]) | "/bin/bash";
}
else {

	split($1, version, "=");
	total=split($4, directory, "/");
	cvsdir=split($2, dirName, ":");
	printf("%s %s %s%s %s %s %s %s %s %s %s\n", "cvs", "-d", ":pserver:anonymous@dev.eclipse.org:", dirName[cvsdir], "-q", "export", "-r", version[2], "-d", directory[total], $4) | "/bin/bash";
}

}' $TEMPMAPFILE

rm $TEMPMAPFILE $MAPFILE
popd >/dev/null

echo "Creating tarball '$NAME-$VERSION.tar.gz'..."
tar -czf $NAME-$VERSION.tar.gz $NAME-$VERSION
